<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'TeamOpsCardSection',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>
<template>
  <section class="team-ops-card-section">
    <div>
      <SlpContainer>
        <SlpTypography
          variant="heading2-bold"
          tag="h2"
          :data-aos="data.aos_animation"
          :data-aos-duration="data.aos_duration"
          :data-aos-offset="data.aos_offset"
          >{{ data.title }}</SlpTypography
        >
        <SlpTypography
          variant="heading5-bold"
          tag="h3"
          class="slp-mt-48"
          :data-aos="data.aos_animation"
          :data-aos-duration="data.aos_duration"
          :data-aos-offset="data.aos_offset"
          >{{ data.subtitle }}</SlpTypography
        >
        <SlpRow class="slp-mt-48">
          <SlpColumn
            v-for="(card, index) in data.cards"
            :key="index"
            :cols="6"
            class="team-ops-card-section__column slp-pb-32"
          >
            <a :href="card.link.url">
              <div
                class="team-ops-card-section__card"
                :data-aos="data.aos_animation"
                :data-aos-duration="data.aos_duration"
                :data-aos-offset="data.aos_offset"
              >
                <div
                  class="team-ops-card-section__card__bar"
                  :style="{ background: card.color }"
                ></div>
                <div
                  class="team-ops-card-section__card__content slp-py-48 slp-px-48"
                >
                  <SlpIcon
                    :name="card.icon.name"
                    variant="marketing"
                    :alt="card.icon.name"
                    size="md"
                    :hex-color="card.icon.hex_color"
                    :slp-color="card.icon.slp_color"
                  />
                  <SlpTypography
                    variant="heading5-bold"
                    tag="h3"
                    class="slp-mt-8"
                    >{{ card.title }}</SlpTypography
                  >
                  <SlpTypography
                    variant="body1"
                    tag="p"
                    class="slp-mt-24 slp-mb-48"
                    >{{ card.description }}</SlpTypography
                  >
                  <SlpButton
                    :href="card.link.url"
                    variant="tertiary"
                    :data-ga-name="card.link.text"
                    data-ga-location="body"
                    class="team-ops-card-section__card__button"
                  >
                    {{ card.link.text }}
                    <SlpIcon
                      class="slp-ml-8"
                      name="chevron-lg-right"
                      variant="product"
                      alt="Chevron Right Icon"
                    />
                  </SlpButton>
                </div>
              </div>
            </a>
          </SlpColumn>
        </SlpRow>
      </SlpContainer>
    </div>
  </section>
</template>

<style lang="scss" scoped>
@import 'assets/css/animations';
.team-ops-card-section {
  padding: $spacing-48 0 0 0;
  @media (min-width: $breakpoint-md) {
    padding: $spacing-96 0 0 0;
  }

  &__column {
    @media (min-width: $breakpoint-md) {
      &:nth-child(odd) {
        padding-right: $spacing-32;
      }
    }
  }

  &__card {
    height: 100%;
    &__content {
      position: relative;
      height: 100%;
      color: $color-text-300;
      display: flex;
      flex-direction: column;
      border: 2px solid $color-primary-200;
      border-top: 0 solid transparent;
      border-radius: 0 0 $spacing-16 $spacing-16;
    }

    &__bar {
      border-radius: $spacing-8 $spacing-8 0 0;
      height: $spacing-8;
      width: 100%;
      position: relative;
      left: 0;
      top: 0;
    }

    &__button {
      margin: auto 0 0 0;
      padding-left: 0;
      padding-bottom: 0;
    }
  }
}
</style>
